"use strict";

var _interopRequireDefault = require("C:\\dev-github\\davefud\\spunky-ui-react\\node_modules\\@babel\\runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

var _PasswordInput = _interopRequireDefault(require("./PasswordInput"));

var _enzyme = require("enzyme");

var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));

(0, _enzyme.configure)({
  adapter: new _enzymeAdapterReact.default()
});
test('toggles input type when show/hide password clicked', function () {
  var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_PasswordInput.default, {
    htmlId: "test",
    name: "test",
    value: "",
    onChange: function onChange() {},
    showVisibilityToggle: true
  })); // Password input should have a type of password initially

  expect(wrapper.find({
    type: 'password'
  })).toHaveLength(1);
  expect(wrapper.find({
    type: 'text'
  })).toHaveLength(0); // simulate a click on the icon

  wrapper.find('a').simulate('click'); // jquery style selectors
  // Password input should have a type of text after clicking eye icon to toggle

  expect(wrapper.find({
    type: 'password'
  })).toHaveLength(0);
  expect(wrapper.find({
    type: 'text'
  })).toHaveLength(1);
});
test('hides password quality by default', function () {
  var tree = _reactTestRenderer.default.create(_react.default.createElement(_PasswordInput.default, {
    htmlId: "test",
    name: "test",
    onChange: function onChange() {},
    value: "IUacac#7wfe"
  })).toJSON();

  expect(tree).toMatchSnapshot();
});